#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( integrator )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${APR_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE
    kdevsubversion.desktop kdevsvn+file.protocol
    kdevsvn+http.protocol kdevsvn+https.protocol
    kdevsvn+ssh.protocol kdevsvn+svn.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdevelop-desktops
)

tde_create_translated_desktop(
  SOURCE kdevsvnd.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kded
  PO_DIR tdevelop-desktops
)


##### libkdevsubversion (module) ################

tde_add_kpart( libkdevsubversion AUTOMOC
  SOURCES
    subversion_core.cpp subversion_fileinfo.cpp
    subversion_fileinfo.skel subversion_part.cpp
    subversion_widget.cpp subversiondiff.ui
    subversionprojectwidget.ui svn_blamewidget.cpp
    svn_co.ui svn_commitdlgbase.ui svn_copydlgwidget.ui
    svn_copywidget.cpp svn_fileselectdlg_commit.cpp
    svn_logviewoptiondlgbase.ui svn_logviewwidget.cpp
    svn_mergeoptiondlgbase.ui svn_mergewidget.cpp
    svn_switchdlgbase.ui svn_switchwidget.cpp
  LINK kdevextensions-static tdevelop-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeio_kdevsvn (module) ######################

tde_add_kpart( tdeio_kdevsvn AUTOMOC
  SOURCES
    svn_tdeio.cpp
  LINK tdeio-shared ${SVN_LIBRARIES} ${APR_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kded_kdevsvnd (module) ####################

tde_add_kpart( kded_kdevsvnd AUTOMOC
  SOURCES
    commitdlg.cpp commitdlgbase.ui kdevsvnd.cpp kdevsvnd.skel
    kdevsvnd_widgets.cpp svnssltrustpromptbase.ui
  LINK tdeio-shared tdeinit_kded-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
